Mining
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| POST | /v1/mining/submit | Mining Submit |
| GET | /v1/mining/template | Mining Template |
POST /v1/mining/submit
Mining Submit.
curl -s -X POST http://127.0.0.1:28332/v1/mining/submit -H 'content-type: application/json' -d '{…}'Request body (application/json, required): HexBody
| Field | Type | Required | Notes |
|---|---|---|---|
hex | string | yes | Hex-encoded serialized object. max length 16000002 |
Response 200 (application/json): BlockSubmitted
| Field | Type | Required | Notes |
|---|---|---|---|
hash | string | yes | |
height | integer | yes | |
status | string | yes | one of connected, side-chain, duplicate, orphan |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: mining_submit_v1_mining_submit_post
GET /v1/mining/template
Mining Template.
curl -s http://127.0.0.1:28332/v1/mining/templateParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
address | query | string | yes |
Response 200 (application/json): MiningTemplate
| Field | Type | Required | Notes |
|---|---|---|---|
aux_hash | string | yes | |
bits | string | yes | |
chain_id | integer | yes | |
coinbase_value | string | yes | |
hash | string | yes | |
header_hex | string | yes | |
height | integer | yes | |
pow | string | yes | |
prev_hash | string | yes | |
target | string | yes | |
timestamp | integer | yes | |
tx_count | integer | yes | |
txs_hex | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: mining_template_v1_mining_template_get
Schemas
BlockSubmitted
| Field | Type | Required | Notes |
|---|---|---|---|
hash | string | yes | |
height | integer | yes | |
status | string | yes | one of connected, side-chain, duplicate, orphan |
Unknown fields may be added within v1; clients must ignore them.
HexBody
| Field | Type | Required | Notes |
|---|---|---|---|
hex | string | yes | Hex-encoded serialized object. max length 16000002 |
MiningTemplate
| Field | Type | Required | Notes |
|---|---|---|---|
aux_hash | string | yes | |
bits | string | yes | |
chain_id | integer | yes | |
coinbase_value | string | yes | |
hash | string | yes | |
header_hex | string | yes | |
height | integer | yes | |
pow | string | yes | |
prev_hash | string | yes | |
target | string | yes | |
timestamp | integer | yes | |
tx_count | integer | yes | |
txs_hex | string | yes |
Unknown fields may be added within v1; clients must ignore them.